function shade_plots_b(t,y,c)

% t     tX1 vector of x axis values
% y     tX3. 1st, 2nd, 3rd row, median, upper and lower respectively
% c     c = shading intensity 0.8 is default

set(gcf,'DefaultAxesColorOrder',[0.8 0.1 0.1;1 0 0;1 0 0;0 0 1]);
cu=y(:,1);
cl=y(:,2);

h=t;
h=h';
fillthis= [[h(2); h(1:end); flipud([h(1:end); h(end)])] [cu(1); cl(1:end); flipud([cu(1:end); cl(size(cl,1))])]];
hh=fill(fillthis(2:end,1),fillthis(2:end,2),'r');
%hh=fill([h(2); h(1:end); flipud([h(1:end); h(end)])],[cu(1); cl(1:end); flipud([cu(1:end); cl(size(cl,1))])],'b');
set(hh,'edgecolor',[1 0.75 0.75]);
set(hh,'facecolor',[1 0.75 0.75]);
set(hh,'edgecolor',c*[0 0 1]);
set(hh,'facecolor',c*[0 0 1]);

hold on;
alpha(0.75)

%plot(h,y(:,1),'LineWidth',2.5);