if strcmp(Specification,'Baseline') == 1
    country_code = [1:28]'; % see Below
    options.EC = 0; % Using Error Correction term to allow for cointegration to identify trend
    lambda = 0.2;
elseif strcmp(Specification,'Robustness') == 1
    country_code = [1:28]';
    options.EC = 0;
    lambda = 0.2;
elseif strcmp(Specification,'Prior Robustness') == 1
    country_code = [1:28]';
    options.EC = 0;
    lambda = 0.5;
elseif strcmp(Specification,'Common Trend') == 1
    country_code = [1:7 9 11:12 14 17:18 20 23 25 28]';
    options.EC = 1;
    lambda = 0.2;
elseif strcmp(Specification,'Other Robustness') == 1
    country_code = [1:28]';
    options.EC = 0;
    lambda = 0.2;
end

% 1 - Australia
% 2 - Canada
% 3 - Denmark
% 4 - Norway
% 5 - New Zealand
% 6 - Switzerland
% 7 - Sweden
% 8 - Brazil(No Core)
% 9 - Chile
% 10 - China(No Core)
% 11 - Colombia
% 12 - Czech
% 13 - HK(No Core)
% 14 - Hungary
% 15 - India(No Core)
% 16 - Indonesia(No Core)
% 17 - Israel
% 18 - Korea
% 19 - Malaysia(No Core)
% 20 - Mexico
% 21 - Peru(No Core)
% 22 - Phillipines(No Core)
% 23 - Poland
% 24 - Russia(No Core)
% 25 - S.Africa
% 26 - Singapore(No Core)
% 27 - Thailand(No Core)
% 28 - Turkey